# Enterprise License Manager API . licenseAssignments

## Instance Methods

Revoke License.

Get license assignment of a particular product and sku for a user

Assign License.

List license assignments for given product of the customer.

List license assignments for given product and sku of the customer.

Retrieves the next page of results.

Retrieves the next page of results.

Assign License. This method supports patch semantics.

Assign License.

### Method Details

`delete(productId, skuId, userId)`

    Revoke License.

    Args:
      productId: string, Name for product (required)
      skuId: string, Name for sku (required)
      userId: string, email id or unique Id of the user (required)

`get(productId, skuId, userId)`

    Get license assignment of a particular product and sku for a user

    Args:
      productId: string, Name for product (required)
      skuId: string, Name for sku (required)
      userId: string, email id or unique Id of the user (required)

    Returns:
      An object of the form:

        { # Template for LiscenseAssignment Resource
        "skuId": "A String", # Name of the sku of the product.
        "kind": "licensing#licenseAssignment", # Identifies the resource as a LicenseAssignment.
        "userId": "A String", # Email id of the user.
        "etags": "A String", # ETag of the resource.
        "selfLink": "A String", # Link to this page.
        "productId": "A String", # Name of the product.
      }

`insert(productId, skuId, body)`

    Assign License.

    Args:
      productId: string, Name for product (required)
      skuId: string, Name for sku (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Template for LicenseAssignment Insert request
        "userId": "A String", # Email id of the user
      }

    Returns:
      An object of the form:

        { # Template for LiscenseAssignment Resource
        "skuId": "A String", # Name of the sku of the product.
        "kind": "licensing#licenseAssignment", # Identifies the resource as a LicenseAssignment.
        "userId": "A String", # Email id of the user.
        "etags": "A String", # ETag of the resource.
        "selfLink": "A String", # Link to this page.
        "productId": "A String", # Name of the product.
      }

`listForProduct(productId, customerId, pageToken=None, maxResults=None)`

    List license assignments for given product of the customer.

    Args:
      productId: string, Name for product (required)
      customerId: string, CustomerId represents the customer for whom licenseassignments are queried (required)
      pageToken: string, Token to fetch the next page.Optional. By default server will return first page
      maxResults: integer, Maximum number of campaigns to return at one time. Must be positive. Optional. Default value is 100.

    Returns:
      An object of the form:

        { # LicesnseAssignment List for a given product/sku for a customer.
        "nextPageToken": "A String", # The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.
        "items": [ # The LicenseAssignments in this page of results.
          { # Template for LiscenseAssignment Resource
            "skuId": "A String", # Name of the sku of the product.
            "kind": "licensing#licenseAssignment", # Identifies the resource as a LicenseAssignment.
            "userId": "A String", # Email id of the user.
            "etags": "A String", # ETag of the resource.
            "selfLink": "A String", # Link to this page.
            "productId": "A String", # Name of the product.
          },
        ],
        "kind": "licensing#licenseAssignmentList", # Identifies the resource as a collection of LicenseAssignments.
        "etag": "A String", # ETag of the resource.
      }

`listForProductAndSku(productId, skuId, customerId, pageToken=None, maxResults=None)`

    List license assignments for given product and sku of the customer.

    Args:
      productId: string, Name for product (required)
      skuId: string, Name for sku (required)
      customerId: string, CustomerId represents the customer for whom licenseassignments are queried (required)
      pageToken: string, Token to fetch the next page.Optional. By default server will return first page
      maxResults: integer, Maximum number of campaigns to return at one time. Must be positive. Optional. Default value is 100.

    Returns:
      An object of the form:

        { # LicesnseAssignment List for a given product/sku for a customer.
        "nextPageToken": "A String", # The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results.
        "items": [ # The LicenseAssignments in this page of results.
          { # Template for LiscenseAssignment Resource
            "skuId": "A String", # Name of the sku of the product.
            "kind": "licensing#licenseAssignment", # Identifies the resource as a LicenseAssignment.
            "userId": "A String", # Email id of the user.
            "etags": "A String", # ETag of the resource.
            "selfLink": "A String", # Link to this page.
            "productId": "A String", # Name of the product.
          },
        ],
        "kind": "licensing#licenseAssignmentList", # Identifies the resource as a collection of LicenseAssignments.
        "etag": "A String", # ETag of the resource.
      }

`listForProductAndSku_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.

`listForProduct_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.

`patch(productId, skuId, userId, body)`

    Assign License. This method supports patch semantics.

    Args:
      productId: string, Name for product (required)
      skuId: string, Name for sku for which license would be revoked (required)
      userId: string, email id or unique Id of the user (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Template for LiscenseAssignment Resource
      "skuId": "A String", # Name of the sku of the product.
      "kind": "licensing#licenseAssignment", # Identifies the resource as a LicenseAssignment.
      "userId": "A String", # Email id of the user.
      "etags": "A String", # ETag of the resource.
      "selfLink": "A String", # Link to this page.
      "productId": "A String", # Name of the product.
    }

    Returns:
      An object of the form:

        { # Template for LiscenseAssignment Resource
        "skuId": "A String", # Name of the sku of the product.
        "kind": "licensing#licenseAssignment", # Identifies the resource as a LicenseAssignment.
        "userId": "A String", # Email id of the user.
        "etags": "A String", # ETag of the resource.
        "selfLink": "A String", # Link to this page.
        "productId": "A String", # Name of the product.
      }

`update(productId, skuId, userId, body)`

    Assign License.

    Args:
      productId: string, Name for product (required)
      skuId: string, Name for sku for which license would be revoked (required)
      userId: string, email id or unique Id of the user (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Template for LiscenseAssignment Resource
      "skuId": "A String", # Name of the sku of the product.
      "kind": "licensing#licenseAssignment", # Identifies the resource as a LicenseAssignment.
      "userId": "A String", # Email id of the user.
      "etags": "A String", # ETag of the resource.
      "selfLink": "A String", # Link to this page.
      "productId": "A String", # Name of the product.
    }

    Returns:
      An object of the form:

        { # Template for LiscenseAssignment Resource
        "skuId": "A String", # Name of the sku of the product.
        "kind": "licensing#licenseAssignment", # Identifies the resource as a LicenseAssignment.
        "userId": "A String", # Email id of the user.
        "etags": "A String", # ETag of the resource.
        "selfLink": "A String", # Link to this page.
        "productId": "A String", # Name of the product.
      }